Subject: Multiplexing and QUIC

From: Martin Thomson <[email-masked]>
Date: Mon, 4 Dec 2017 10:39:25 +1100

This is already on the avtcore list (for those who are participating
there), but I thought that I'd share my perspective on the
multiplexing issue.

https://datatracker.ietf.org/doc/html/draft-thomson-mux-principles

In short, I say that multiplexing doesn't grant any special entitlement.

We might make some changes to accommodate multiplexing for QUIC, but
as a general-purpose protocol, QUIC can't let one use case constrain
its design unnecessarily.

QUIC also has a multiplexing concern we inherit by default: those
deploying gQUIC will need to have a migration strategy.  Many of the
concerns raised about multiplexing QUIC with protocols like SRTP also
apply to that version migration.  I think that it would be unfortunate
if the shape of gQUIC were to unduly constrain the shape of QUIC long
term.